<div align="center">
	<br>
	<a href="https://sindresorhus.com/actions">
		<img src="Stuff/AppIcon-readme.png" width="200" height="200">
	</a>
	<h1>Actions</h1>
	<p>
		<b>Additional actions for the Shortcuts app</b>
	</p>
	<br>
	<br>
	<br>
</div>

The app provides lots of powerful extra actions for the Shortcuts app on macOS and iOS. These actions make it significantly easier to create shortcuts.

[**Submit action idea**](https://github.com/sindresorhus/Actions/issues/new/choose)\
<sub>*(Submit an issue before [submitting a pull request](.github/contributing.md))*</sub>

## Download

[![](https://sindresorhus.com/assets/download-on-app-store-badge.svg)](https://apps.apple.com/app/id1586435171)

Requires macOS 12 or iOS 15 and later.

## Included actions

- Add to List
- Apply Capture Date
- Choose from List (Extended)
- Clamp Number
- Combine Lists
- Create Color Image
- Create URL
- Date to Unix Time
- Edit URL
- Filter List
- Format Currency
- Format Date Difference
- Format Duration
- Generate CSV
- Generate UUID
- Geo URI
- Get Audio Playback Destination <sup>(iOS-only)</sup>
- Get Battery State
- Get Emojis
- Get File Icon <sup>(macOS-only)</sup>
- Get File Path
- Get Music Playlists <sup>(iOS-only)</sup>
- Get Related Words
- Get Running Apps <sup>(macOS-only)</sup>
- Get Title of URL
- Get Uniform Type Identifier
- Get Unsplash Image
- Get User Details
- Haptic Feedback <sup>(iOS-only)</sup>
- Hide Shortcuts App
- Is Audio Playing <sup>(iOS-only)</sup>
- Is Bluetooth On
- Is Connected to VPN <sup>(iOS-only)</sup>
- Is Dark Mode On
- Is Low Power Mode On
- Is Online
- Is Reachable
- Is Screen Locked <sup>(macOS-only)</sup>
- Is Silent Mode On <sup>(iOS-only)</sup>
- Is Wi-Fi On <sup>(macOS-only)</sup>
- Merge Dictionaries
- Parse CSV
- Parse JSON5
- Pretty Print Dictionaries
- Random Boolean
- Random Color
- Random Date and Time
- Random Emoticon
- Random Floating-Point Number
- Random Text
- Remove Duplicate Lines
- Remove Duplicates from List
- Remove Emojis
- Remove Empty Lines
- Remove from List
- Remove Non-Printable Characters
- Reverse List
- Round Number to Multiple
- Sample Color from Screen <sup>(macOS-only)</sup>
- Scan Documents <sup>(iOS-only)</sup>
- Scan QR Codes in Image
- Set Creation and Modification Date of File
- Shuffle List
- Sort List
- Spell Out Number
- Symbol Image
- Transcribe Audio
- Transform Lists
- Transform Text
- Transform Text with JavaScript
- Trim Whitespace
- Truncate List
- Truncate Text
- Unix Time to Date
- Write or Edit Text

#### Looking for more?

- Get Internet Speed → [Speediness](https://sindresorhus.com/speediness)
- Get Random GIF → [Jiffy](https://sindresorhus.com/jiffy)
- Show Text in Menu Bar → [One Thing](https://sindresorhus.com/one-thing)
- Clear Clipboard Formatting → [Pure Paste](https://sindresorhus.com/pure-paste)
- Join Video Call → [Dato](https://sindresorhus.com/dato)

## Screenshot

![](Stuff/screenshot1.jpg)

## FAQ

#### Why is this free without ads?

I just enjoy making apps. I earn money on other apps. Consider leaving a nice review on the App Store.

#### Can I contribute localizations?

I don't have any immediate plans to localize the app.

## Other apps

- [Gifski](https://github.com/sindresorhus/Gifski) - Convert videos to high-quality GIFs
- [System Color Picker](https://github.com/sindresorhus/System-Color-Picker) - The macOS color picker as an app with more features
- [Plash](https://github.com/sindresorhus/Plash) - Make any website your Mac desktop wallpaper
- [Dato](https://sindresorhus.com/dato) - Better menu bar clock with calendar and time zones
- [More apps…](https://sindresorhus.com/apps)
